Package generic.jar

# Interface Resource

All Known Implementing Classes:
  `FileResource`, `JarResource`

public interface Resource

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canWrite()`
  `boolean`
  `delete()`
  `boolean`
  `exists()`
  `String`
  `getAbsolutePath()`
  `String`
  `getCanonicalPath()`
  `Resource`
  `getCanonicalResource()`
  `File`
  `getFile()`
  `File`
  `getFileSystemRoot()`
  `InputStream`
  `getInputStream()`
  `String`
  `getName()`
  `OutputStream`
  `getOutputStream()`
  `Resource`
  `getParent()`
  `Resource`
  `getResource(String name)`
  `File`
  `getResourceAsFile(ResourceFile resourceFile)`
  `boolean`
  `isDirectory()`
  `boolean`
  `isFile()`
  `long`
  `lastModified()`
  `long`
  `length()`
  `ResourceFile[]`
  `listFiles()`
  `ResourceFile[]`
  `listFiles(ResourceFileFilter filter)`
  `boolean`
  `mkdir()`
  `URI`
  `toURI()`
  `URL`
  `toURL()`

- ## Method Details

  - ### getResource

    Resource getResource(String name)

  - ### getAbsolutePath

    String getAbsolutePath()

  - ### listFiles

    ResourceFile[] listFiles()

  - ### listFiles

    ResourceFile[] listFiles(ResourceFileFilter filter)

  - ### getName

    String getName()

  - ### isDirectory

    boolean isDirectory()

  - ### getParent

    Resource getParent()

  - ### toURL

    URL toURL() throws MalformedURLException
    Throws:
      `MalformedURLException`

  - ### lastModified

    long lastModified()

  - ### getInputStream

    InputStream getInputStream() throws FileNotFoundException, IOException
    Throws:
      `FileNotFoundException`
      `IOException`

  - ### delete

    boolean delete()

  - ### exists

    boolean exists()

  - ### getOutputStream

    OutputStream getOutputStream() throws FileNotFoundException
    Throws:
      `FileNotFoundException`

  - ### getFile

    File getFile()

  - ### length

    long length()

  - ### getCanonicalPath

    String getCanonicalPath() throws IOException
    Throws:
      `IOException`

  - ### isFile

    boolean isFile()

  - ### getCanonicalResource

    Resource getCanonicalResource()

  - ### canWrite

    boolean canWrite()

  - ### mkdir

    boolean mkdir()

  - ### getFileSystemRoot

    File getFileSystemRoot()

  - ### toURI

    URI toURI()

  - ### getResourceAsFile

    File getResourceAsFile(ResourceFile resourceFile)